/* css pou tout paj */
    /* Montserrat Regular */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-Regular.otf') format('opentype');
        font-weight: 400;
        font-style: normal;
    }
    
    /* Montserrat Medium */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-Medium.otf') format('opentype');
        font-weight: 500;
        font-style: normal;
    }
    
    /* Montserrat SemiBold */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-SemiBold.otf') format('opentype');
        font-weight: 600;
        font-style: normal;
    }
    
    /* Montserrat ExtraBold */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-ExtraBold.otf') format('opentype');
        font-weight: 800;
        font-style: normal;
    }
    
    /* Montserrat Black */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-Black.otf') format('opentype');
        font-weight: 900;
        font-style: normal;
    }
    
    /* Montserrat Light */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-Light.otf') format('opentype');
        font-weight: 300;
        font-style: normal;
    }
    
    /* Montserrat Italic (regular italic) */
    @font-face {
        font-family: 'Montserrat';
        src: url('../fonts/Montserrat-Italic.otf') format('opentype');
        font-weight: 400;
        font-style: italic;
    }  

    *{
        padding: 0;
        margin: 0;
        box-sizing: border-box;
        text-decoration: none;
        font-family: 'Montserrat';
        font-weight: 400;
        transition: all .2s linear;
        font-size: 16px;
        color: var(--white);
    }

    :root{
        --primary: #2814f2;
        --second: #01e7ff;
        --darkblue: #060077;

        --red: #db1702;
        --blue: #0131b4;
        --green: green;
        --yellow: #F3B641;

        --greenbg : #75ebb3;
        --greentxt : #0c5532;

        --yellowbg : #f8d796;
        --yellowtxt : #b1790b;

        --redbg : #f8a6a0;
        --redtxt : #550c06;

        --bluebg : #a5cffd;
        --bluetxt : #035dbe;

        --graybg : #b0b0b0;
        --graytxt : #242424;

        --white: #ffffff;
        --light-white: #ffffff25;

        --black: #000000;
        --light-black: #00000050;

        --gray: rgb(102, 101, 101);
        --light-gray: #00000025;
        
        --box-shadow: 0 8px 16px rgba(0,0,0,.1);
    }

    body{
        overflow-x: hidden;
        background: var(--darkblue);
    }

    ::-webkit-scrollbar{
        width: 6px;
        height: 6px;
    }

    ::-webkit-scrollbar-track{
        background-color: transparent;
    }

    ::-webkit-scrollbar-thumb{
        background-color: var(--second);
        border-radius: 16px;
    }
/* css pou tout paj */

/* boutton */
    .flexBtn{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 16px;
    }

    .flexBtn .btn{
        padding: 8px 20px;
        color: var(--white);
        text-wrap: nowrap;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1px solid var(--light-white);
        border-radius: 16px;
    }

    .flexBtn .btn:hover{
        cursor: pointer;
        scale: 1.05;
    }

    .flexBtn .btn1{
        background: linear-gradient(to right, var(--primary), var(--second), var(--darkblue));
    }

    .flexBtn .btn2{
        background: var(--primary);
    }

    .flexBtn .btn3{
        background: var(--second);
    }

    .flexBtn .btn4{
        background: var(--darkblue);
    }

    .flexBtn .btn5{
        background: var(--white);
        color: var(--darkblue);
    }
/* boutton */

/* titre */
    .groupe_titre{
        width: 100%;
        margin-bottom: 32px;
    }

    .groupe_titre h2{
        width: 100%;
        color: var(--second);
        font-size: 30px;
        text-align: center;
        text-transform: uppercase;
        font-weight: 700;
    }

    .groupe_titre  p{
        max-width: 750px;
        text-align: center;
        color: var(--white);
        font-size: 17px;
        margin: 0 auto;
        margin-top: 5px;
        white-space: pre-line;
    }
/* titre */

/* titre backend */
    h2.titreBackend{
        position: relative;
        left: 50%;
        transform: translateX(-50%);        
        max-width: max-content;
        font-size: 28px;
        font-weight: 800;
        color: var(--light-black);
        text-align: center;
        text-transform: capitalize;
        margin-bottom: 16px;
    }
/* titre backend */

/* section */
    section{
        width: 90%;
        padding: 8px 32px;
        margin: 40px auto;
    }

    .first_section{
        margin-top: 120px;
    }
/* section */

/* empty */
    .empty{
        width: 70%;
        margin: 0 auto;
        margin-bottom: 16px;
        border: var(--border);
        border-radius: 5px;
        padding: 8px;
        text-align: center;
        color: var(--black);
        box-shadow: var(--box-shadow);
    }
/* empty */

/* table */    
    table{
        width: 100%;
        margin: 0 auto;
        border-collapse: collapse;
    }
    
    .scroll_table{
        max-height: 400px;
        overflow : auto;
        padding-bottom: 16px;
    }

    .scroll_table::-webkit-scrollbar{
        width: .2rem;
        height: .2rem;
    }

    .scroll_table:hover::-webkit-scrollbar{
        width: .4rem;
        height: .4rem;
    }

    .scroll_table::-webkit-scrollbar-track{
        background-color: #ccc;
        border-radius: 8px;
    }

    .scroll_table::-webkit-scrollbar-thumb{
        background-color: var(--blue);
        border-radius: 8px;
    }

    thead{
        background: var(--blue);
        position: sticky;
        top: -1px;
        z-index: 1;
    }

    thead th{
        padding: .3rem;
        text-wrap: nowrap;
        color: var(--white);
    }

    tbody td{
        padding: .3rem;
    }

    tbody tr:nth-child(even){
        background: var(--light-gray);
    }

    th, td{
        border: 1px solid #ccc;
    }

    /* btn action */
        .action{
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 16px;
            flex-wrap: nowrap;
        }

        .action a, .action button{
            display: flex;
            flex-direction: column;
            align-items: center;
            background: none;
            border: none;
            cursor: pointer;
        }

        .action a span, .action button span{
            font-size: 14px;
            text-transform: capitalize;
            text-wrap: nowrap;
        }

        .action .modifier i, .action .modifier span{
            color: var(--blue);
        }

        .action .supprimer i, .action .supprimer span{
            color: var(--red);
        }

        .action .ajouter i, .action .ajouter span{
            color: var(--green);
        }
    /* btn action */
/* table */

/* form */
    .form_universel{
        width: 80%;
        margin: 0 auto;
    }

    .form_universel fieldset{
        padding: 16px;
        border: 1px solid var(--light-gray);
        border-radius: 8px;
        margin-bottom: 16px;
    }

    .form_universel fieldset legend{
        padding: .2rem 16px;
        color: var(--light-gray);
        border: 1px solid var(--light-gray);
        border-radius: 8px;
    }

    .form_universel{
        padding: 16px;
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .input_container{
        position: relative;
    }

    .form_universel input, .form_universel textarea{
        width: 100%;
        padding: 12px;
        border: 1px solid var(--light-black);
        outline: none;
    }

    .form_universel textarea{
        height: 150px;
        resize: none;
    }

    .form_universel input:focus, .form_universel textarea:focus{
        border: 1px solid var(--primary);
    }

    .input_container label{
        position: absolute;
        top: 12px; left: 12px;
        color: var(--light-black);
        pointer-events: none;
        background: transparent;
        padding: 0 8px;
    }

    input:focus + label, 
    input:not(:placeholder-shown) + label,
    textarea:not(:placeholder-shown) + label,
    textarea:focus + label{
        top: -8px; left: 8px;
        font-size: 14px;
        color: var(--primary);
        background: var(--white);
    }

    .customfile{
        width: 100%;
        margin: .6rem 0;
        border-radius: .3rem;
        border: 1px solid var(--blue);
        font-size: 14px;
    }

    .customfile::-webkit-file-upload-button{
        width: 130px;
        padding: .6rem;
        color: var(--white);
        border: none;
        border-radius: .3rem;
        cursor: pointer;
        background-color: var(--blue);
        color: white;
        font-size: 14px;
    }    
    
    .flex_champ{
        display: flex;
        justify-content: space-between;
        gap: 16px;
    }
    
    .flex_champ div{
        width: 100%;
    }

    /* forntend */
        .form_frontend input, .form_frontend textarea{
            background: var(--light-white);
            border: 1px solid var(--second);
            border-radius: 8px;
        }

        .form_frontend label{
            color: var(--white);
        }

        .form_frontend input:focus + label, 
        .form_frontend input:not(:placeholder-shown) + label,
        .form_frontend textarea:not(:placeholder-shown) + label,
        .form_frontend textarea:focus + label{
            color: var(--white);
            background: var(--light-white);
            backdrop-filter: blur(10px);
            border: 1px solid var(--second);
        }

        .form_frontend input:focus, .form_frontend textarea:focus{
            border: 1px solid var(--second);
        }
    /* forntend */
/* form */


/* responsive */
    /* font */
        @media screen and (max-width: 650px) {
            *{
                font-size: 16px;
            }
        }

        @media screen and (max-width: 450px) {
            *{
                font-size: 15px;
            }
        }
    /* font */

    /* bouton */
        @media screen and (max-width: 650px) {
            .flexBtn .btn{
                padding: 7px 15px;
                font-size: 16px;
            }
        }

        @media screen and (max-width: 450px) {
            .flexBtn .btn{
                padding: 6px 14px;
                font-size: 15px;
            }
        }
    /* bouton */

    /* titre */
        @media screen and (max-width: 650px) {
            .groupe_titre h2{
                font-size: 25px;
            }

            .groupe_titre p{
                font-size: 16px;
            }
        }

        @media screen and (max-width: 450px) {
            .groupe_titre h2{
                font-size: 22px;
            }

            .groupe_titre p{
                font-size: 15px;
            }
        }
    /* titre */

    /* section */
        @media screen and (max-width: 650px) {
            section{
                padding: 8px 16px;
            }
        }

        @media screen and (max-width: 450px) {
            section{
                width: 93%;
                padding: 8px 10px;
            }
        }
    /* section */
    
    /* form */
        @media screen and (max-width: 800px) {
            .form_universel{
                width: 100%;
            }
        }

        @media screen and (max-width: 650px) {
            .flex_champ{
                flex-direction: column;
            }
        }

        @media screen and (max-width: 480px) {
            .form_universel input .customfile{
                font-size: 14px;
            }
        }
    /* form */
/* responsive */
